Skip to content
Framework Docs

Query Files

FileQueryResponse files().query(FileQueryParamsparams = FileQueryParams.none(), RequestOptionsrequestOptions = RequestOptions.none())
POST/api/v1/beta/files/query

Query files with filtering and pagination. Deprecated: use GET /files.

ParametersExpand Collapse
FileQueryParams params
Optional<String> organizationId
Optional<String> projectId
Optional<Filter> filter

Filter parameters for file queries.

Optional<String> dataSourceId

Filter by data source ID

formatuuid
Optional<String> externalFileId

Filter by external file ID

Optional<List<String>> fileIds

Filter by specific file IDs

Optional<String> fileName

Filter by file name

Optional<Boolean> onlyManuallyUploaded

Filter only manually uploaded files (data_source_id is null)

Optional<String> projectId

Filter by project ID

formatuuid
Optional<String> orderBy

A comma-separated list of fields to order by, sorted in ascending order. Use ‘field_name desc’ to specify descending order.

Optional<Long> pageSize

The maximum number of items to return. The service may return fewer than this value. If unspecified, a default page size will be used. The maximum value is typically 1000; values above this will be coerced to the maximum.

Optional<String> pageToken

A page token, received from a previous list call. Provide this to retrieve the subsequent page.

ReturnsExpand Collapse
class FileQueryResponse:

Paginated list of files.

List<Item> items

The list of items.

String id

Unique file identifier

String name

File name including extension

maxLength3000
minLength1
String projectId

Project this file belongs to

formatuuid
Optional<PresignedUrl> downloadUrl

Schema for a presigned URL.

LocalDateTime expiresAt

The time at which the presigned URL expires

formatdate-time
String url

A presigned URL for IO operations against a private file

minLength1
formaturi
Optional<FormFields> formFields

Form fields for a presigned POST request

Optional<LocalDateTime> expiresAt

When the file expires and may be automatically removed. Null means no expiration.

formatdate-time
Optional<String> externalFileId

Optional ID for correlating with an external system

Optional<String> fileType

File extension (pdf, docx, png, etc.)

maxLength3000
minLength1
Optional<LocalDateTime> lastModifiedAt

When the file was last modified (ISO 8601)

formatdate-time
Optional<String> purpose

How the file will be used: user_data, parse, extract, classify, split, sheet, or agent_app

Optional<String> nextPageToken

A token, which can be sent as page_token to retrieve the next page. If this field is omitted, there are no subsequent pages.

Optional<Long> totalSize

The total number of items available. This is only populated when specifically requested. The value may be an estimate and can be used for display purposes only.

Query Files

package com.llamacloud_prod.api.example;

import com.llamacloud_prod.api.client.LlamaCloudClient;
import com.llamacloud_prod.api.client.okhttp.LlamaCloudOkHttpClient;
import com.llamacloud_prod.api.models.files.FileQueryParams;
import com.llamacloud_prod.api.models.files.FileQueryResponse;

public final class Main {
    private Main() {}

    public static void main(String[] args) {
        LlamaCloudClient client = LlamaCloudOkHttpClient.fromEnv();

        FileQueryResponse response = client.files().query();
    }
}
{
  "items": [
    {
      "id": "dfl-aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
      "name": "invoice.pdf",
      "project_id": "123e4567-e89b-12d3-a456-426614174000",
      "download_url": {
        "expires_at": "2019-12-27T18:11:19.117Z",
        "url": "https://example.com",
        "form_fields": {
          "foo": "string"
        }
      },
      "expires_at": "2019-12-27T18:11:19.117Z",
      "external_file_id": "ext-12345",
      "file_type": "pdf",
      "last_modified_at": "2019-12-27T18:11:19.117Z",
      "purpose": "parse"
    }
  ],
  "next_page_token": "next_page_token",
  "total_size": 0
}
Returns Examples
{
  "items": [
    {
      "id": "dfl-aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
      "name": "invoice.pdf",
      "project_id": "123e4567-e89b-12d3-a456-426614174000",
      "download_url": {
        "expires_at": "2019-12-27T18:11:19.117Z",
        "url": "https://example.com",
        "form_fields": {
          "foo": "string"
        }
      },
      "expires_at": "2019-12-27T18:11:19.117Z",
      "external_file_id": "ext-12345",
      "file_type": "pdf",
      "last_modified_at": "2019-12-27T18:11:19.117Z",
      "purpose": "parse"
    }
  ],
  "next_page_token": "next_page_token",
  "total_size": 0
}